This API is used to delete a registered beacon.
This API is called to delete a beacon and its attachment information.
Protocol | HTTPS DELETE |
Direction | App server or app -> HUAWEI Nearby Service server |
URL | https://{Domain name}/WiseCloudNearbyBeaconService/v1/{beaconId}?projectId=[projectId] |
Data Format | Content-type: application/json |
For details about how to obtain the domain name and projectID, please refer to API Call Process.
You need to obtain the service account credential. For details, please refer to Service Account-based Authentication.
Parameter | Mandatory(M)/Optional (O) | Type | Description |
timeStamp | M | Long | Timestamp in the request header. |
srcTranID | M | String | Transaction ID in the request header. The value contains a maximum of 24 characters. |
Authorization | M | String | Parameter in the request header, which is used for gateway authentication. For details about how to obtain the JSON Web Token (JWT) of the parameter , please refer to Service Account-based Authentication. |
beaconId | M | String | Beacon ID in the URL. |
projectId | O | String | Project ID for query. |
If the request is successful, status code 200 is returned without a response body.
If the request fails, a status code other than 200 is returned with the following response body:
(1) A non-service request fails due to an exception (for example, the gateway verification fails or the token expires).
Parameter | Type | Description |
error | String | Error message that is not returned by the service. |
(2) A service request fails.
Parameter | Type | Description |
serviceError | object | Error message that is returned by the service. |
The JSON structure of serviceError is as follows.
Parameter | Type | Description |
code | int | Result code. For details, please refer to the following result code table. |
status | String | Error status. |
message | String | Error description. |
Result Code | Description | Suggestion |
400000001 | Incorrect parameter in the request header. | Verify the request header parameter. |
400000002 | Incorrect parameter in the request body. | Verify the request body parameter. |
403000003 | The service account is unavailable. | Verify that the service account is available on the console of HUAWEI Developer. |
403000004 | You have no permission to perform operations on the beacon. | Verify that you have permission to perform operations the beacon using the service account. |
404000006 | The beacon does not exist. | Verify that the beacon exists. |
500000001 | Internal service error. | Contact Huawei technical support. |
Request:
- DELETE /WiseCloudNearbyBeaconService/v1/bea001?projectId=id123 HTTP/1.1
- Host: Domain name.
- User-Agent: insomnia/7.0.6
- Content-Type: application/json
- srcTranId: 201910181908046224775032
- timeStamp: 1579423534
- Accept: application/json
- Authorization: Bearer eyJraWQiOiIx---xxx.eyJhdWQiOiJodHR---xxx.QRodgXa2xeXSt4Gp---xxx
Response:
- HTTP/1.1 401 Unauthorized
- Content-type: application/json
- content-length: 27
- {"error":"session timeout"}
Request:
- DELETE /WiseCloudNearbyBeaconService/v1/bea001?projectId=id123 HTTP/1.1
- Host: Domain name.
- User-Agent: insomnia/7.0.6
- Content-Type: application/json
- srcTranId: 201910181908046224775033
- timeStamp: 1579423539
- Accept: application/json
- Authorization: Bearer eyJraWQiOiIx---xxx.eyJhdWQiOiJodHR---xxx.QRodgXa2xeXSt4Gp---xxx
Response:
- HTTP/1.1 404
- Content-type: application/json
- content-length: 113
- {"serviceError":{"code":404000006,"message":"The beacon with ID bea001 does not exist.","status":"Not Found"}}
Request:
- DELETE /WiseCloudNearbyBeaconService/v1/bea002?projectId=id123 HTTP/1.1
- Host: Domain name.
- User-Agent: insomnia/7.0.6
- Content-Type: application/json
- srcTranId: 201910181908046224775031
- timeStamp: 1579423531
- Accept: application/json
- Authorization: Bearer eyJraWQiOiIx---xxx.eyJhdWQiOiJodHR---xxx.QRodgXa2xeXSt4Gp---xxx
Response:
- HTTP/1.1 200 OK
- content-length: 0
- Content-Type: application/json;charset=UTF-8